%define upstream_name	 HTML-Widget
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:	HTML Widget And Validation Framework
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         HTML-Widget-1.11-fix_html_tree_4.patch
Patch1:         HTML-Widget-1.11-fix-tests.patch
BuildRequires:	perl(Class::Accessor::Chained::Fast)
BuildRequires:	perl(Class::Accessor::Fast)
BuildRequires:	perl(Class::Data::Accessor)
BuildRequires:	perl(Date::Calc)
BuildRequires:	perl(Email::Valid)
BuildRequires:	perl(HTML::Element) >= 3.22
BuildRequires:	perl(HTML::Scrubber)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(Module::Pluggable::Fast)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:  perl(Test::Deep)

BuildArch:	noarch

%description
Create easy to maintain HTML widgets!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/*/*
%{perl_vendorlib}/HTML


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.110.0-16.mga10
+ Revision: 2215872
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 1.110.0-15.mga9
+ Revision: 1901156
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.110.0-14.mga8
+ Revision: 1519187
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.110.0-13.mga7
+ Revision: 1300181
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.110.0-11.mga7
+ Revision: 1164832
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.110.0-10.mga7
+ Revision: 1159032
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.110.0-9.mga6
+ Revision: 1028420
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.110.0-8.mga6
+ Revision: 949506
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.110.0-7.mga5
+ Revision: 790009
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-6.mga5
+ Revision: 744166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 684985
- Mageia 5 Mass Rebuild

* Wed Jan 08 2014 dmorgan <dmorgan> 1.110.0-4.mga4
+ Revision: 565557
- Add patch to fix hash randomisation issue with perl 5.18 in tests. ( debian)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 368225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 42883
- fix to allow build against html::tree 4.x
- mageia rebuild
- imported package perl-HTML-Widget

